import { EventEmitter } from '../../stencil-public-runtime';
import { Placement, PositioningStrategy } from '@popperjs/core';
export declare class CustomPopper {
    placement: Placement;
    offset: [number, number];
    strategy: PositioningStrategy;
    trigger: string;
    anchorRef: HTMLElement | SVGElement;
    isOpen: boolean;
    showEvent: EventEmitter;
    hideEvent: EventEmitter;
    private popperInstance;
    private popperContentRef;
    private initialized;
    private boundHandlers;
    onAnchorRefChange(newValue: HTMLElement | SVGElement): void;
    componentDidLoad(): void;
    private initPopper;
    disconnectedCallback(): void;
    handleClick(event: MouseEvent): void;
    private get popperOptions();
    show(): void;
    hide(): void;
    render(): any;
}
